﻿using System.Collections.Generic;

namespace HeuristicLab.PluginInfrastructure {
  public interface IRunner {
    /// <summary>
    /// Assemblies which the child process needs to load.
    /// </summary>
    IEnumerable<AssemblyInfo> AssembliesToLoad { get; set; }

    /// <summary>
    /// Method to run the runner.
    /// </summary>
    void Run();

    void Pause();
    void Resume();
    void Cancel();
  }
}
